// out: ../../css/views/common-views.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
@import "../variables.scss";

.cern-page-display-page {
  & > h2 {
    margin: 3rem 0 !important;
  }

  .views-exposed-form .form-inline {
    margin: 0 -10px;

    .form-item {
      vertical-align: top;
      margin: 10px;

      &:first-child {
        display: block;
        text-align: center;
        position: relative;

        & > input {
          margin: 0 auto 15px auto;
          height: 40px;
          padding-left: 40px;
        }

        &:before {
          content: "O";
          font-family: "cern-icons";
          -moz-osx-font-smoothing: grayscale;
          -webkit-font-smoothing: antialiased;
          position: absolute;
          left: 0;
          width: 25px;
          height: 25px;
          top: 8px;
          text-align: center;
          line-height: 21px;
          font-weight: 500;
          padding-right: 2px;
          font-size: 46px;
          color: #0855a0;
        }

        label {
          display: block;
        }

        &.form-type-textfield {
          width: 100%;
          float: left;
          padding: 0 10px;
          margin: 10px 0;

          & select,
          & > input {
            width: 100%;
          }
        }
      }

      & > input {
        display: block;
      }

      &:not(:first-child) {
        @media only screen and (max-width: 767px) {
          width: 100%;
          margin: 0;
          padding: 0 10px;
        }

        input {
          width: 100%;
        }

        div.select-wrapper select {
          width: 100%;
        }
      }
    }

    .form-actions {
      width: calc((100% / 4) - 40px);
      margin: 10px;
      vertical-align: bottom;
      text-align: right;

      @media only screen and (max-width: 767px) {
        width: 100%;
        margin: 0;
        padding: 0 0 0 10px;
      }

      button {
        width: 100%;
      }
    }
  }

  .view-content {
    a {
      font-size: inherit;
    }
  }
}
